"use strict";
var _a;
Object.defineProperty(exports, "__esModule", { value: true });
const child_process_1 = require("child_process");
const fs_1 = require("fs");
const path_1 = require("path");
const IGNORE_ARGS = ['--clearCache', '--help', '--init', '--listTests', '--showConfig'];
const canRunNgcc = !process.argv.find((arg) => IGNORE_ARGS.includes(arg));
function findNodeModulesDirectory(startPoint) {
    let current = startPoint;
    while (path_1.dirname(current) !== current) {
        const nodePath = path_1.join(current, 'node_modules');
        if (fs_1.existsSync(nodePath)) {
            return nodePath;
        }
        current = path_1.dirname(current);
    }
    throw new Error(`Cannot locate the 'node_modules' directory. Please make sure you are running jest from root level of your project`);
}
if (canRunNgcc) {
    process.stdout.write('ngcc-jest-processor: running ngcc\n');
    const { status, error } = child_process_1.spawnSync(process.execPath, [
        require.resolve('@angular/compiler-cli/ngcc/main-ngcc.js'),
        '--source',
        findNodeModulesDirectory(process.cwd()),
        '--properties',
        ...['es2015', 'main'],
        '--first-only',
        'false',
        '--async',
    ], {
        stdio: ['inherit', process.stderr, process.stderr],
    });
    if (status !== 0) {
        const errorMessage = (_a = error === null || error === void 0 ? void 0 : error.message) !== null && _a !== void 0 ? _a : '';
        throw new Error(`${errorMessage} NGCC failed ${errorMessage ? ', see above' : ''}.`);
    }
}
